/*****************************************************************************

  DOSMEM.C -- Sample code for memory allocation with Dos...() API functions.
  Copyright (C) 1993,94,95 by Craig Morrison, All Rights Reserved.

  You may use this code in your own projects, regardless of renumeration.
  All I ask is that you prominently display the above copyright notice.

  Should you need assistance, I can be contacted at the following addresses:

        Fidonet:        Craig Morrison, 1:201/60@fidonet.org
        Internet:       cam@wpc.cioe.com
        Post:           Craig Morrison
                        1316 Ferry St.
                        Lafayette, IN 47901-1533
                        USA

  NOTES:

    You'll notice the complete lack of any references to run-time
    library functions. This was done on purpose so that *I* could
    control what happens when a thread gets killed. This package
    contains just about everything you'll need to do comm port/file
    I/O, string manipulation and ordinal number conversions.

 *****************************************************************************/
#define INCL_DOSMEMMGR
#define INCL_NOPM
#define INCL_BASE

#include <os2.h>
#include <stdio.h>

PVOID AllocMem(ULONG ulMemAlloc, ULONG ulCommitFlags)
{
    PVOID pv = NULL;

    if (!DosAllocMem(&pv, ulMemAlloc, ulCommitFlags))
        return(pv);
    else
        return NULL;
}

VOID FreeMem(PVOID mem)
{
    DosFreeMem(mem);
}
